> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sondercloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Renomear/Mover Arquivo

> Renomeia ou move um arquivo ou pasta do app

```bash cURL theme={null}
curl -X PUT 'https://api.sondercloud.app/v1/apps/{id}/files/rename' \
  -H 'Authorization: Bearer seu_token' \
  -H 'Content-Type: application/json' \
  -d '{
    "oldPath": "/app/old.js",
    "newPath": "/app/new.js"
  }'
```

```json Success theme={null}
{
  "ok": true
}
```

### Parâmetros

**oldPath** `string` *required*

Caminho atual do arquivo ou pasta.

**newPath** `string` *required*

Novo caminho de destino.


## API Specification

The full API specification for this endpoint is available in the [documentation index](https://docs.sondercloud.app/llms.txt).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.